Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.spi
Class JarUtils

    java.lang.Object
      org.jboss.deployment.spi.JarUtils

public class JarUtils
extends Object

A collection of jar utilities

Version:
  $Revision: 1.1.1.1 $
Author:
  thomas.diesler@jboss.org

Constructor Summary
`JarUtils()`

Method Summary
`static String[]` | `addJar(JarOutputStream outputStream, String prefix, File jar)` Add jar contents to the deployment archive under the given prefix
`static void` | `addJarEntry(JarOutputStream outputStream, String entryName, InputStream inputStream)` Add a jar entry to the deployment archive
`static void` | `copyStream(OutputStream outputStream, InputStream inputStream)` Copies the input stream to the output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarUtils

    public JarUtils()

Method Detail

### addJar

    public static String[] addJar(JarOutputStream outputStream,
                                  String prefix,
                                  File jar)
                           throws IOException

  Add jar contents to the deployment archive under the given prefix

  Throws:
    `IOException`

### addJarEntry

    public static void addJarEntry(JarOutputStream outputStream,
                                   String entryName,
                                   InputStream inputStream)
                            throws IOException

  Add a jar entry to the deployment archive

  Throws:
    `IOException`

### copyStream

    public static void copyStream(OutputStream outputStream,
                                  InputStream inputStream)
                           throws IOException

  Copies the input stream to the output stream

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.